osl::move_action::VoidAction Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | List of all members
osl::move_action::VoidAction Class Reference

なにもしない. More...

`#include <voidAction.h>`

## Public Member Functions
void | simpleMove (Square, Square, Ptype, bool, Player, Move)
void | unknownMove (Square, Square, Piece, Ptype, bool, Player, Move)
void | dropMove (Square, Ptype, Player, Move)
void | simpleMove (Square, Square, Ptype, bool, Player)
void | unknownMove (Square, Square, Piece, Ptype, bool, Player)
void | dropMove (Square, Ptype, Player)

## Detailed Description

なにもしない.

主にデバッグ用

Definition at line 13 of file voidAction.h.

## Member Function Documentation

void osl::move_action::VoidAction::dropMove | ( | Square | ,
|  | Ptype | ,
|  | Player | ,
|  | Move |
| ) |  |
| inline

Definition at line 19 of file voidAction.h.

void osl::move_action::VoidAction::dropMove | ( | Square | ,
|  | Ptype | ,
|  | Player |
| ) |  |
| inline

Definition at line 25 of file voidAction.h.

void osl::move_action::VoidAction::simpleMove | ( | Square | ,
|  | Square | ,
|  | Ptype | ,
|  | bool | ,
|  | Player | ,
|  | Move |
| ) |  |
| inline

Definition at line 15 of file voidAction.h.

void osl::move_action::VoidAction::simpleMove | ( | Square | ,
|  | Square | ,
|  | Ptype | ,
|  | bool | ,
|  | Player |
| ) |  |
| inline

Definition at line 21 of file voidAction.h.

void osl::move_action::VoidAction::unknownMove | ( | Square | ,
|  | Square | ,
|  | Piece | ,
|  | Ptype | ,
|  | bool | ,
|  | Player | ,
|  | Move |
| ) |  |
| inline

Definition at line 17 of file voidAction.h.

void osl::move_action::VoidAction::unknownMove | ( | Square | ,
|  | Square | ,
|  | Piece | ,
|  | Ptype | ,
|  | bool | ,
|  | Player |
| ) |  |
| inline

Definition at line 23 of file voidAction.h.

The documentation for this class was generated from the following file:

- voidAction.h